Summary: Xaw-based TV program which uses bttv or video4linux.
Name: xawtv
Version: 3.43
Release: 2ur
#Serial: 
Copyright: GPL
Group: Applications/Multimedia
Source: http://www.strusel007.de/linux/xawtv/xawtv_%{version}.tar.bz2
URL: http://www.strusel007.de/linux/xawtv/
BuildRoot: %{_tmppath}/%{name}-root
Requires: Xaw3d, XFree86 >= 4.0.1, libjpeg, ncurses
BuildRequires: Xaw3d-devel, XFree86-devel >= 4.0.1, perl, ncurses-devel

%define _bindir /usr/X11R6/bin
%define _libdir /usr/X11R6/lib
%define webcgidir /var/www/cgi-bin

%description
A collection of tools for video4linux : xawtv, fbtv, streamer and v4lctl.
These will let you watch TV with a video4linux compatible board, listen to
the radio if it also has a tuner etc.


%package misc
Summary: Miscellaneous utilities used with xawtv.
Group: Applications/Multimedia
Requires: Xaw3d, ncurses

%description misc
This package has a few tools you might find useful.  They have not much
to do with xawtv tough :
propwatch : monitors properties of X11 windows.  If youwant to know how
to keep track of xawtv's _XAWTV_STATION property, look at this.
dump-mixers : dump mixer settings to stdout
record : console sound recorder.  Has a simple input level meter which
might be useful to troubleshoot sound problems.
showriff : display the structure of RIFF files (avi, wav).
webcam: captures an image, annotates with text + time and uploads it.
alevtd: an http daemon which serves videotext pages as HTML.


%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
make ROOT="%{buildroot}" SUID_ROOT="" install

install -D -m 755 webcam/webcam.cgi %{buildroot}%{webcgidir}/webcam.cgi
mkdir -p %{buildroot}%{_sysconfdir}/X11
touch %{buildroot}%{_sysconfdir}/X11/xawtvrc

%post
cd %{_libdir}/X11/fonts/misc
mkfontdir >/dev/null 2>&1
xset fp rehash >/dev/null 2>&1 || :

%postun
cd %{_libdir}/X11/fonts/misc
mkfontdir >/dev/null 2>&1

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING Changes KNOWN_PROBLEMS Programming-FAQ README* Sound-FAQ
%doc TODO Trouble-Shooting contrib/dot.lircrc contrib/frequencies*
%config %{_sysconfdir}/X11/xawtvrc
%{_bindir}/fbtv
%{_bindir}/radio
%{_bindir}/rootv
%{_bindir}/scantv
%{_bindir}/streamer
%attr(4711, root, root) %{_bindir}/v4l-conf
%{_bindir}/v4lctl
%{_bindir}/xawtv
%{_bindir}/xawtv-remote
%{_libdir}/X11/app-defaults/Xawtv
%{_libdir}/X11/fonts/misc/*
%{_mandir}/man1/fbtv.1*
%{_mandir}/man1/radio.1*
%{_mandir}/man1/rootv.1*
%{_mandir}/man1/v4lctl.1*
%{_mandir}/man1/xawtv-remote.1*
%{_mandir}/man1/xawtv.1*

%files misc
%defattr(-, root, root)
%doc tools/README
%{_bindir}/dump-mixers
%{_bindir}/propwatch
%{_bindir}/record
%{_bindir}/showriff
%{_mandir}/man1/propwatch.1*
%{_mandir}/man1/showriff.1*
%{_bindir}/webcam
%{_mandir}/man1/webcam.1*
%{webcgidir}/webcam.cgi
%{_bindir}/alevtd
%{_mandir}/man1/alevtd.1*

%changelog
* Tue Apr 10 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 3.43.

* Sun Mar 25 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 3.41.

* Sat Mar 17 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 3.39.

* Mon Mar 12 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 3.37 + Merged -webcam and -alevtd to -misc.

* Tue Feb 27 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 3.36.

* Sat Feb 17 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rewrote the spec file based (a little) on the existing one.

